The "Get Transaction by ID" API allows to retrieve information for a specific transaction using its unique identifier. Use this endpoint to fetch details for a single transaction based on the provided
The "Get Transaction by ID" API allows to retrieve information for a specific transaction using its unique identifier. Use this endpoint to fetch details for a single transaction based on the provided transaction ID.
http
GET https://services.leadconnectorhq.com/payments/transactions/{transactionId}
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
transactionId
string
Yes
61dd0feac077f72010f78804
ID of the transaction that needs to be returned
Query parameters
Name
Type
Required
Example
Description
locationId
string
No
3SwdhCu3svxI8AKsPJt6
LocationId is the id of the account.
altId
string
Yes
3SwdhCu3svxI8AKsPJt6
AltId is the unique identifier e.g: account id.
altType
string
Yes
account
AltType is the type of identifier.
Responses
200 - Successful response
_id (string, required): The unique identifier for the transaction. Example: 61dd0feac077f72010f78804
altType (string, required): AltType is the type of identifier. Example: account
altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6
contactId (string): Contact id corresponding to the transaction. Example: XPLSw2SVagl12LMDeTmQ
contactSnapshot (object): Contact details of the transaction. Example: { last_name: "Mcclain", type: "lead", first_name_lower_case: "rogan", email: "anish+11@leadwaycrm.com", last_name_lower_case: "mcclain", location_id: "o6241QsiRwUIJHyjuhos", company_name: "Jordan and Cox Trading"}
currency (string): Currency in which transaction was made. Example: USD
amount (number): Transaction value. Example: 100
status (object): Transaction status. Example: succeeded
liveMode (boolean): Transaction is in live / test mode. Example: false
createdAt (string, required): The creation timestamp of the transaction. Example: 2023-11-20T10:23:36.515Z
updatedAt (string, required): The last update timestamp of the transaction. Example: 2024-01-23T09:57:04.846Z
entityType (string): Entity type of transaction (eg: order). Example: order
entityId (string): Entity id for the transaction. e.g: order id Example: 61dd0fe9c077f73e67f78803
entitySource (object): Entity source details for the transaction. Example: { type: "funnel", id: "BDBMEghdIUaqMPEsK349", subType: "two_step_order_form", name: "new funnel" }
chargeId (string): Charge id for transaction. Example: in_1KGcXDCScnf89tZohCsmImwE
invoiceId (string): Invoice id for the transaction. Example: in_1KGcXDCScnf89tZohCsmImwE
subscriptionId (string): Subscription id for transaction. Example: sub_1KGcXDCScnf89tZoVkoEMCEL
paymentProvider (object): Payment provider details of the transaction. Example: { type: "stripe", connectedAccount: { _id: "612ca676b484b241fef9d962", accountId: "acct_1Ihw53CScnf89tZo" } }
ipAddress (string): Ip address from where transaction was initiated. Example: 107.178.194.224
meta (object): Meta details of the transaction. Example: { stepId: "af7c731e-e36f-4152-bd1a-3f69a31d6d6d", pageId: "A8ltotc2jZxurJba4e3Y", pageUrl: "/v2/preview/A8ltotc2jZxurJba4e3Y" }
markAsTest (boolean): Is test transaction. Example: false
isParent (boolean): Is parent transaction. Example: false